diff -uwr source/AntiSpawnKill/AntiSpawnKill.cpp 4.0/source/AntiSpawnKill/AntiSpawnKill.cpp
--- source/AntiSpawnKill/AntiSpawnKill.cpp	2011-05-16 06:52:10.000000000 +0800
+++ 4.0/source/AntiSpawnKill/AntiSpawnKill.cpp	2011-10-11 21:31:00.611328100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "AntiSpawnKill.h"
 #include "gmgame.h"
diff -uwr source/AntiSpawnKill/AntiSpawnKill.h 4.0/source/AntiSpawnKill/AntiSpawnKill.h
--- source/AntiSpawnKill/AntiSpawnKill.h	2011-05-16 06:52:10.000000000 +0800
+++ 4.0/source/AntiSpawnKill/AntiSpawnKill.h	2011-10-11 21:30:50.349609300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/AntiSpawnKill/General.cpp 4.0/source/AntiSpawnKill/General.cpp
--- source/AntiSpawnKill/General.cpp	2011-05-16 06:52:10.000000000 +0800
+++ 4.0/source/AntiSpawnKill/General.cpp	2011-10-11 21:30:57.386718700 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/AntiSpawnKill/General.h 4.0/source/AntiSpawnKill/General.h
--- source/AntiSpawnKill/General.h	2011-05-16 06:52:10.000000000 +0800
+++ 4.0/source/AntiSpawnKill/General.h	2011-10-11 21:30:53.005859300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef ANTISPAWNKILL_INCLUDE__GENERAL_H
 #define ANTISPAWNKILL_INCLUDE__GENERAL_H
 
diff -uwr source/CTF/CTF.cpp 4.0/source/CTF/CTF.cpp
--- source/CTF/CTF.cpp	2011-04-30 09:22:40.000000000 +0800
+++ 4.0/source/CTF/CTF.cpp	2011-10-11 21:33:14.455078100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "engine_tt.h"
 #include "gmplugin.h"
@@ -9,11 +20,6 @@
 #include "PowerupGameObjDef.h"
 GameObject *CTFController = 0;
 
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
-
 char *CTFIcons[4][2] = {
 	//{Model,Animation},
 	{"",""},
diff -uwr source/CTF/General.cpp 4.0/source/CTF/General.cpp
--- source/CTF/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/CTF/General.cpp	2011-10-11 21:33:17.512695300 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/CTF/General.h 4.0/source/CTF/General.h
--- source/CTF/General.h	2011-03-08 09:52:50.000000000 +0800
+++ 4.0/source/CTF/General.h	2011-10-11 21:33:19.672851500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef CTF_INCLUDE__GENERAL_H
 #define CTF_INCLUDE__GENERAL_H
 
diff -uwr source/CharacterRefund/CharacterRefund.cpp 4.0/source/CharacterRefund/CharacterRefund.cpp
--- source/CharacterRefund/CharacterRefund.cpp	2011-05-16 06:52:12.000000000 +0800
+++ 4.0/source/CharacterRefund/CharacterRefund.cpp	2011-10-11 21:32:22.065429600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "CharacterRefund.h"
 #include "gmgame.h"
diff -uwr source/CharacterRefund/CharacterRefund.h 4.0/source/CharacterRefund/CharacterRefund.h
--- source/CharacterRefund/CharacterRefund.h	2011-05-16 06:52:12.000000000 +0800
+++ 4.0/source/CharacterRefund/CharacterRefund.h	2011-10-11 21:32:24.538085900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/CharacterRefund/General.cpp 4.0/source/CharacterRefund/General.cpp
--- source/CharacterRefund/General.cpp	2011-05-16 06:52:12.000000000 +0800
+++ 4.0/source/CharacterRefund/General.cpp	2011-10-11 21:32:30.015625000 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/CharacterRefund/General.h 4.0/source/CharacterRefund/General.h
--- source/CharacterRefund/General.h	2011-05-16 06:52:12.000000000 +0800
+++ 4.0/source/CharacterRefund/General.h	2011-10-11 21:32:39.133789000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef CHARACTERREFUND_INCLUDE__GENERAL_H
 #define CHARACTERREFUND_INCLUDE__GENERAL_H
 
diff -uwr source/ExtraConsoleCommands/ExtraConsoleCommands.cpp 4.0/source/ExtraConsoleCommands/ExtraConsoleCommands.cpp
--- source/ExtraConsoleCommands/ExtraConsoleCommands.cpp	2011-09-03 08:29:28.000000000 +0800
+++ 4.0/source/ExtraConsoleCommands/ExtraConsoleCommands.cpp	2011-10-11 21:33:41.248046800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "ExtraConsoleCommands.h"
 #include "gmgame.h"
@@ -7,11 +18,6 @@
 #include "gmlog.h"
 #include "engine_tt.h"
 
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
-
 static int getClientIdByIdentifier(const char* clientIdentifier)
 {
 	assert(clientIdentifier);
diff -uwr source/ExtraConsoleCommands/ExtraConsoleCommands.h 4.0/source/ExtraConsoleCommands/ExtraConsoleCommands.h
--- source/ExtraConsoleCommands/ExtraConsoleCommands.h	2011-05-05 12:16:32.000000000 +0800
+++ 4.0/source/ExtraConsoleCommands/ExtraConsoleCommands.h	2011-10-11 21:33:43.795898400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/ExtraConsoleCommands/General.cpp 4.0/source/ExtraConsoleCommands/General.cpp
--- source/ExtraConsoleCommands/General.cpp	2011-05-05 12:16:32.000000000 +0800
+++ 4.0/source/ExtraConsoleCommands/General.cpp	2011-10-11 21:33:48.186523400 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/ExtraConsoleCommands/General.h 4.0/source/ExtraConsoleCommands/General.h
--- source/ExtraConsoleCommands/General.h	2011-05-05 12:16:32.000000000 +0800
+++ 4.0/source/ExtraConsoleCommands/General.h	2011-10-11 21:33:51.072265600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef EXTRACONSOLECOMMANDS_INCLUDE__GENERAL_H
 #define EXTRACONSOLECOMMANDS_INCLUDE__GENERAL_H
 
diff -uwr source/FirstBlood/FirstBlood.cpp 4.0/source/FirstBlood/FirstBlood.cpp
--- source/FirstBlood/FirstBlood.cpp	2011-08-14 12:11:24.000000000 +0800
+++ 4.0/source/FirstBlood/FirstBlood.cpp	2011-10-11 21:34:04.078125000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "FirstBlood.h"
 #include "gmgame.h"
diff -uwr source/FirstBlood/FirstBlood.h 4.0/source/FirstBlood/FirstBlood.h
--- source/FirstBlood/FirstBlood.h	2011-05-01 09:07:06.000000000 +0800
+++ 4.0/source/FirstBlood/FirstBlood.h	2011-10-11 21:34:06.557617100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/FirstBlood/General.cpp 4.0/source/FirstBlood/General.cpp
--- source/FirstBlood/General.cpp	2011-05-01 09:07:06.000000000 +0800
+++ 4.0/source/FirstBlood/General.cpp	2011-10-11 21:34:10.270507800 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/FirstBlood/General.h 4.0/source/FirstBlood/General.h
--- source/FirstBlood/General.h	2011-05-01 09:07:06.000000000 +0800
+++ 4.0/source/FirstBlood/General.h	2011-10-11 21:34:13.104492100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef FIRSTBLOOD_INCLUDE__GENERAL_H
 #define FIRSTBLOOD_INCLUDE__GENERAL_H
 
diff -uwr source/MemoryManager/DList.h 4.0/source/MemoryManager/DList.h
--- source/MemoryManager/DList.h	2009-02-22 13:46:56.000000000 +0800
+++ 4.0/source/MemoryManager/DList.h	2011-10-11 21:34:30.287109300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _DLIST_H_
 #define _DLIST_H_
 
diff -uwr source/MemoryManager/FastAllocator.cpp 4.0/source/MemoryManager/FastAllocator.cpp
--- source/MemoryManager/FastAllocator.cpp	2009-02-23 06:13:50.000000000 +0800
+++ 4.0/source/MemoryManager/FastAllocator.cpp	2011-10-11 21:34:45.250976500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "FastAllocator.h"
 
 #pragma warning(push)
diff -uwr source/MemoryManager/FastAllocator.h 4.0/source/MemoryManager/FastAllocator.h
--- source/MemoryManager/FastAllocator.h	2009-11-28 16:45:24.000000000 +0800
+++ 4.0/source/MemoryManager/FastAllocator.h	2011-10-11 21:34:48.965820300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 // Do you know what you are doing?
 // No? Then don't touch this file.
 #ifndef _FASTALLOCATOR_H_
diff -uwr source/MemoryManager/FastCriticalSection.h 4.0/source/MemoryManager/FastCriticalSection.h
--- source/MemoryManager/FastCriticalSection.h	2009-02-22 13:46:56.000000000 +0800
+++ 4.0/source/MemoryManager/FastCriticalSection.h	2011-10-11 21:34:52.241210900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _FASTCRITICALSECTION_H_
 #define _FASTCRITICALSECTION_H_
 #include "platform.h"
diff -uwr source/MemoryManager/MemTracker.cpp 4.0/source/MemoryManager/MemTracker.cpp
--- source/MemoryManager/MemTracker.cpp	2010-07-03 21:14:58.000000000 +0800
+++ 4.0/source/MemoryManager/MemTracker.cpp	2011-10-11 21:35:07.162109300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #define _CRT_SECURE_NO_WARNINGS
 #include <string.h>
 #define WIN32_LEAN_AND_MEAN
diff -uwr source/MemoryManager/MemTracker.h 4.0/source/MemoryManager/MemTracker.h
--- source/MemoryManager/MemTracker.h	2010-07-04 10:26:08.000000000 +0800
+++ 4.0/source/MemoryManager/MemTracker.h	2011-10-11 21:35:09.731445300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _MEMTRACKER_H_
 #define _MEMTRACKER_H_
 
diff -uwr source/MemoryManager/MemoryManager.h 4.0/source/MemoryManager/MemoryManager.h
--- source/MemoryManager/MemoryManager.h	2009-11-09 18:57:16.000000000 +0800
+++ 4.0/source/MemoryManager/MemoryManager.h	2011-10-11 21:34:54.516601500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _MEMORYMANAGER_H_
 #define _MEMORYMANAGER_H_
 
diff -uwr source/MemoryManager/MemoryManager_debug.cpp 4.0/source/MemoryManager/MemoryManager_debug.cpp
--- source/MemoryManager/MemoryManager_debug.cpp	2009-11-09 18:57:16.000000000 +0800
+++ 4.0/source/MemoryManager/MemoryManager_debug.cpp	2011-10-14 22:25:11.906250000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "platform.h"
 #define WIN32_LEAN_AND_MEAN
 #include <windows.h>
@@ -11,10 +22,7 @@
 
 void CheckMemoryManagerConfiguration(int32 config)
 {
-	if (config != MEMORYMANAGER_DEBUGCONFIGURATION)
-	{
-		MessageBoxW(NULL, L"This is a friendly warning to remind you that running the debug-mode memory manager with release-mode executables is not recommended and may cause unexpected results.", L"MemoryManager.dll", MB_OK | MB_ICONWARNING);
-	};
+	UNUSED_VARIABLE(config);
 };
 
 void SetThreadTrackingInformation(const char* file, unsigned int line, const char* function)
diff -uwr source/MemoryManager/MemoryManager_release.cpp 4.0/source/MemoryManager/MemoryManager_release.cpp
--- source/MemoryManager/MemoryManager_release.cpp	2009-11-09 18:57:16.000000000 +0800
+++ 4.0/source/MemoryManager/MemoryManager_release.cpp	2011-10-13 07:20:31.701171800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "platform.h"
 #define WIN32_LEAN_AND_MEAN
 #include <windows.h>
@@ -21,21 +32,15 @@
 	UNUSED_VARIABLE(file);
 	UNUSED_VARIABLE(line);
 	UNUSED_VARIABLE(function);
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
-	Breakpoint();
 };
 
 void PushAllocationTag(const char* tag)
 {
 	UNUSED_VARIABLE(tag);
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
-	Breakpoint();
 };
 
 void PopAllocationTag()
 {
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
-	Breakpoint();
 };
 
 DECLSPEC_RESTRICT void* AllocateMemory(size_t size)
@@ -49,8 +54,6 @@
 	UNUSED_VARIABLE(file);
 	UNUSED_VARIABLE(line);
 	UNUSED_VARIABLE(function);
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
-	Breakpoint();
 	return FastAllocatorGeneral::Get_Allocator()->Allocate(size);
 };
 
@@ -64,8 +67,6 @@
 	UNUSED_VARIABLE(file);
 	UNUSED_VARIABLE(line);
 	UNUSED_VARIABLE(function);
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
-	Breakpoint();
 	return FastAllocatorGeneral::Get_Allocator()->Reallocate(memory, new_size);
 };
 
@@ -80,8 +81,6 @@
 	UNUSED_VARIABLE(file);
 	UNUSED_VARIABLE(line);
 	UNUSED_VARIABLE(function);
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
-	Breakpoint();
 	FastAllocatorGeneral::Get_Allocator()->Free(memory);
 };
 
@@ -99,7 +98,6 @@
 {
 	UNUSED_VARIABLE(file);
 	UNUSED_VARIABLE(line);
-	// If you reach this breakpoint, you have a DLL that's expecting a debug version of this DLL. 
 	return FastAllocatorGeneral::Get_Allocator()->Allocate(size);
 };
 
diff -uwr source/MemoryManager/TSList.h 4.0/source/MemoryManager/TSList.h
--- source/MemoryManager/TSList.h	2009-02-22 13:46:56.000000000 +0800
+++ 4.0/source/MemoryManager/TSList.h	2011-10-11 21:35:16.153320300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _TSLIST_H_
 #define _TSLIST_H_
 
